Zid Docs
AppsThemesPayments
AppsThemesPayments
Help Center
Slack
  1. Payment
  • Overview
  • Merchant Activation
  • Payment
    • Overview
    • Embedded Payment
    • Gateway Error Codes
    • Direct Payment
      POST
    • Execute Payment Request
      POST
    • Get payment status
      GET
  • ApplePay
    • ApplePay Checkout
    • Register ApplePay Domain
      POST
    • Providing Merchant Validation
      POST
  • Refund
    • Request Refund
      POST
  • Webhooks
    • Overview
    • Link Merchant Event
      POST
    • Payment Paid Event
      POST
    • Refund Event
      POST
  1. Payment

Execute Payment Request

POST
https://api.zid.sa/{ProviderUrl}/payments
This is the request that is going to be sent from Zid Payments to you as a payment provider for creating / executing payments.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🔴500Internal Server error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.paymentprovider.com/payments' \
--header 'Authorization: Authorization: Basic secret_key' \
--header 'Content-Type: application/json' \
--data '{
    "amount": 24900,
    "currency": "SAR",
    "callbackUrl": "https://zidpay.org/api/payment/98bbb6fb-bbd7-41cb-8d5f-f8854b13c9b1/ThirdPartyCallback",
    "errorUrl": "https://zidpay.org/api/payment/98bbb6fb-bbd7-41cb-8d5f-f8854b13c9b1/ThirdPartyCallbackr",
    "source": {
        "type": "token",
        "token": "###"
    },
    "metadata": {
        "PaymentReferenceId": "98bbb6fb-bbd7-41cb-8d5f-f8854b13c9b1"
    }
}'
Response Response Example
200 - Example 1
{
    "id": "pay_abc123xyz789",
    "status": "paid",
    "amount": 24900,
    "currency": "SAR",
    "transactionUrl": "https://secure.paymentprovider.com/3ds/redirect?txn_id=abc123"
}
Modified at 2026-01-30 20:55:20
Previous
Direct Payment
Next
Get payment status
Built with